stages:
  - test
  - build

test:
  stage: test
  image: 
    name: node:14.10-alpine
  script: 
    - cd app
    - yarn run test

build:
  stage: build
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  script:
    - |
      cat > /kaniko/.docker/config.json <<EOF
      {
        "credsStore": "ecr-login"
      }
      EOF
    - /kaniko/executor --context $CI_PROJECT_DIR/app --dockerfile $CI_PROJECT_DIR/app/Dockerfile --destination [アカウント名].dkr.ecr.ap-northeast-1.amazonaws.com/example-repo:latest